/* =Reset
-------------------------------------------------------------- */
 
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin-top: 0;
}
 
html,
body,
div{
    margin: 0;
    padding: 0;
}

html,body {
    height: 100%;
}

html {
    background-color: #000000;
    font-family: "Lato", "Arial", Sans;
}


/* Background
-------------------------------------------------------------- */

#backImg {
    width: 100%;
    height: 100%;
    background-color: #000000;
    background-size:cover;
    background-repeat:no-repeat;
    background-position: top center;
    position: fixed;
    z-index: -10;
}

/* Colors and Formatting
-------------------------------------------------------------- */

a {
    color: #FFF;
    text-decoration: none;
/*    text-underline: none;	*/
} 

#header{
    background: rgb(84,158,0);
}
 
#main{
}

#primary {
}
 
#secondary {
    border: 1px solid rgb(84,158,0);
    background: rgb(84,158,0); 
}

#footer{
    background: rgb(84,158,0);
}

.center-head, .center-main, .center-foot {
    color: #ffffff;
/*    font-family:Arial, Helvetica, Sans;   */
}

.center-head, .center-foot {
    background-color: rgba(30,60,0,0.85);
}

.center-main {
    background-color: rgba(20,40,0,0.89);
}

.site-title-tourn {
    font-size: 200%;
}

.site-title-comp {
    font-size: 150%;
}


div.hoverBox:hover
{
    background-color: #a0a0a0;
}


div.sidebarElem .hoverBox:hover,
div.sidebarElem.hoverBox:hover,
div.compBox.hoverBox:hover {
    background-color: rgba(55,107,0,1);
}

div.sidebarElem .hoverGroup:hover,
div.sidebarElem.hoverGroup:hover {
    background-color: rgba(55,107,0,0.5);
}

/*
div.linkBox {
    background-color: rgba(84,158,0,0.3);
}
*/

table.simple {
    empty-cells: show;
    border-collapse: separate;
    border-spacing: 1px 1px;
    margin-top: 0.5em;
    word-wrap: break-word;
}

table.lists {
    empty-cells: show;
    border-collapse: separate;
    border-spacing: 0px 1px;
    margin-top: 0.5em;
    width: 100%;
    word-wrap: break-word;
}

table.pool {
    empty-cells: show;
    border-collapse: separate;
    border-spacing: 0px 1px;
    margin-top: 0;
    width: 100%;
    word-wrap: break-word;
}

table.pool-matchlist {
    empty-cells: show;
    border-collapse: separate;
    border-spacing: 1px 1px;
    margin-top: 0;
    width: 100%;
    word-wrap: break-word;
    cursor: auto;
}

table.pool-heading {
    empty-cells: show;
    border-collapse: separate;
    border-spacing: 0px 0px; 
    width: 100%;
    word-wrap: break-word;
    color: white;
}

th {
    font-weight: bold;
    padding: 0.5em;
    vertical-align: top;
}

th.title {
    text-align: left;
    color: white;
    background: #646464;
    padding: 0.5em;
}

th.pool, td.pool, th.pool-heading {
    text-align: center;
    color: white;
    background: #646464;
    position: relative;
    font-weight: bold;
}


th.pres {
    text-align: center;
    color: white;
    background: #646464;
    position: relative;
    font-weight: bold;
}

td.pres {
    text-align: center;
}

tr {
    vertical-align:middle;
    height: 2.2em;
    color: black;
}

table.pool-heading tr {
    color: white;
    background: #646464;
    height: 1.5em;
}


table.lists tr:nth-child(even):hover,
table.pool tr:nth-child(even):hover {
    background: #d0d0d0;
}

table.lists tr:nth-child(odd):hover,
table.pool tr:nth-child(odd):hover {
    background: #c0c0c0;
}



tr:nth-child(even) {
    background: #b4b4b4
}

tr:nth-child(odd) {
    background: #a0a0a0
}

td {
    padding: 0.0em 0.5em;
}

th.pool, td.pool, td.full, td.live, td.won, td.lost {
    border-left: 1px solid #112300;
}

td.result-live, td.result-won, td.result-lost, td.result-normal {

}


table.pool th {

}

td.full {
    background-color:#646464;
}
.result-normal {
    color: #000;
    vertical-align: middle;
    text-align: center;
}


.live, .result-live {
    color: #fff;
    font-style: italic;
    vertical-align: middle;
    text-align: center;
}

.won, .result-won {
    color: #008000;
    font-weight: bold;
    vertical-align: middle;
    text-align: center;
    
}

.lost, .result-lost {
    color: #cc0000;
    font-weight: bold;
    vertical-align: middle;
    text-align: center;
}

.name, .name-won, .name-lost, .name-live, .name-normal, .index {
    text-align: center;
}

.name-won {
    font-weight: bold;
}

.name-lost {
    
}

details table tr td.index {
    width: 10%;
}

details table tr td.name,
details table tr td.name-won,
details table tr td.name-lost,
details table tr td.name-live,
details table tr td.name-normal {
    width: 35%;
}

details table tr td.result,
details table tr td.result-won,
details table tr td.result-lost,
details table tr td.result-live,
details table tr td.result-normal {
    width: 10%;
}



td.live, td.won, td.lost {

}

th.pool + th.pres, td.pool + td.pres, td.live + td.pres, td.lost + td.pres, td.won + td.pres, td.full + td.pres {
    border-left: 1px solid #112300;
}


img.flag{
    max-height: 2em;
    max-width: 3em;
    margin: auto;
    display: block;
}

img.flaginline {
    max-height: 1em;
    max-width: 1.5em;
    margin: auto;
}

img.flagmatch{
    max-height: 1.6em;
    max-width: 2.7em;
    margin: auto;
    display: block;
}

img.smallflag0 {
    max-height: 1.5em;
    max-width: 2.25em;
    vertical-align: middle;
    margin: 1px;
    margin-right: 0.3em;
    display: block;
    float:right;
    display: inline-block;
    background: black;
    padding: 0;
    opacity: 0.5;
    text-align: center;
    
}

img.smallflag0:hover {
    opacity: 1;
}

img.smallflag1 {
    max-height: 1.5em;
    max-width: 2.25em;
    margin: 1px;
    margin-right: 0.3em;
    display: block;
    float:right;
    display: inline-block;
    background: black;
    padding: 0;
    opacity: 1;  
}


div.languages {
    overflow: hidden;
    vertical-align: middle;
    position: relative;
}

img.presence {
    vertical-align: middle;
    max-height: 1.5em;
    max-width: 1.5em;
}

div.title-comp {
    font-size: 150%;
    padding-bottom: 1.6em;
    display: inline-block;
}

div.title-phase {
    font-size: 150%;
    padding-bottom: 1.6em;
    display: inline-block;
}

div.title-list {
    font-size: 130%;
    padding-bottom: 0.2em;
    display: inline-block;
}

div.active0 {

}

div.active1 {
    font-weight: bold;
    background-color: rgba(55,107,0,0.85);
}

div.active1 {
    font-weight: bold;
    background-color: rgba(55,107,0,0.7);
}

div.active2 {
    font-weight: bold;
}

div.scrollable {
    overflow: auto;
}

div.sidebarElem {
    overflow: hidden;
}

div.logoBox {
    background-color: rgba(255,255,255,1.0);
    padding-left: 0.3em;
    padding-right: 0.3em;
    margin-top: 0.6em;
}

div.logoEntry {
    padding-top: 0.3em;
    padding-bottom: 0.3em;
}

div.matchInfo {
    color: white;
    background: #646464;
    font-weight: bold;
    display: flex;
    height: 1.2em;
    border: 1px solid #000;
    border-top: none;
}

div.matchInfo div.piste {
    white-space: nowrap; 
    margin: 0.0em 0.5em; 
    overflow:hidden; 
    width: 15%;
}

div.matchInfo div.start {
    white-space: nowrap; 
    margin: 0.0em 0.5em; 
    overflow:hidden; 
    width: 15%;
}

div.matchInfo div.referee {
    white-space: nowrap; 
    margin: 0.0em 0.5em; 
    overflow:hidden;
}




/* Structure
-------------------------------------------------------------- */

#wrap {
    min-height: 100%;
}

#main {
    overflow:auto;

    width: 100%;
    top: 0px;
    margin-bottom: 3em;
}  /* must be same height as the footer */

#header {
    max-height: 6.9em;
    min-height: 6.9em;
    width: 100%;
} 
 
#footer {
    height: 3em;
    width: 100%;
    margin-top: -3em;
} 

/*Opera Fix*/
body:before {
    content:"";
    height:100%;
    float:left;
    width:0;
    margin-top:-32767px;
}

.center-foot, .center-head, .center-main{
    max-width: 1240px;
    margin: 0 auto;
    padding: 1em;
}

.center-head {
    max-height: 6.9em;
    min-height: 6.9em;
}

.center-main{
    min-height: 31.4em;
}

.center-foot{
    min-height: 100%;
}
 
.center-head:after, .center-main:after, .center-foot:after {
    content: "";
    display: table;
    clear: both;
}
 
#primary{
    margin: 0 auto;
    min-height: 100%;
}
 
#secondary{
    width: 100%;
    margin: 0 auto;
    padding: 1em;
    margin-bottom: 1.25em;
}

div.sidebarSubElem {

}

.compBox {
    margin-bottom: 0.6em;
    padding-bottom: 0.6em;
    background: rgb(38,74,0);
}

.site-title-tourn {
    margin-bottom: 0.5em;
}

.site-title-comp {
    float: left;
}

details {
    width: 100%;
    color: white;
    background: #646464;
    height: 2em;
    padding: 0.5em 0.5em;
    margin: 0.0em;
    cursor: pointer;
}

details[open] {
    width: 100%;
    color: white;
    background: #646464;
    height: 100%;
}



/* Links
-------------------------------------------------------------- */
.linkBox, .linkBoxSimple {
    position: relative;
}

.linkBox {
    padding: 0.5em;
}

div.matchdataName div.linkBox {
    padding: 0.0em;
}

tr div.linkBox {
    padding: 0.0em;
    width: 100%;
    height: 2.2em;
    line-height: 2.2em;
    overflow: hidden;
}

.linkBox a, .linkBoxSimple a {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    text-decoration: none;
    z-index: 10; 

    /* Fix to make div clickable in IE */
    background-color: #FFF; 
    opacity: 0;
    filter: alpha(opacity=1);
}

img.linkPic {
    max-height: 0.8em;
    max-width: 0.8em;
    margin-left: 0.5em;
}






/* Direct elimination */

div.title-tableauA {
    font-size: 130%;
    margin-bottom: 0.5em;
    height: 2.2em;
    text-align: center;
    line-height: 1.0em;
}

div.title-matchGroup {
    font-size: 130%;
    margin-top: 1.5em;
    height: 2.2em;
    text-align: center;
    line-height: 1.0em;
}

div.title-tableauB {
    font-size: 130%;
    margin-bottom: 0.5em;
    height: 2.2em;
    text-align: center;

    line-height: 1.0em;
}

div.title-tableauBwD {
    font-size: 130%;
    margin-bottom: 0.5em;
    margin-left: 100px;
    height: 2.2em;
    text-align: center;

    line-height: 1.0em;
}

div.title-tableauC {
    font-size: 130%;
    margin-bottom: 0.5em;
    height: 2.2em;
    text-align: center;

    line-height: 1.0em;
}

div.title-tableauCwD {
    font-size: 130%;
    margin-bottom: 0.5em;
    height: 2.2em;
    text-align: right;

    line-height: 1.0em;
}

div.title-tableauD {
    font-size: 130%;
    margin-bottom: 0.5em;
    margin-right: 100px;
    height: 2.2em;
    text-align: center;

    line-height: 1.0em;
}

div.linkTabSpacer, div.linkTabUp {
    height: 2.2em;
    margin-bottom: 0.3em;
    text-align: center;
}

div.tableau {
    margin-top: 1.5em;
}

div.tableau:after {
    clear: both;
    content: "";
    display: table;
}

div.title-tableau-up {
    position: absolute;
    left: 50%;
    top: 0px;
    width: 40px;
    height: 40px;
    margin-left: -20px;
    text-align: center;
    vertical-align: middle;
    line-height: 40px;
    padding: 0;
}

div.title-tableau-prev {
    position: absolute;
    left: 0px;
    top: 45px;
    width: 40px;
    height: 40px;
    text-align: center;
    vertical-align: middle;
    line-height: 40px;
    padding: 0;
}

div.title-tableau-next {
    position: absolute;
    right: 0px;
    top: 45px;
    width: 40px;
    height: 40px;
    text-align: center;
    vertical-align: middle;
    line-height: 40px;
    padding: 0;
}

div.tableau-link-up {
    background-image: url('../res/up.png');
}

div.tableau-link-up:hover {
    background-image: url('../res/up-hover.png');
}

div.tableau-link-next {
    background-image: url('../res/next.png');
}

div.tableau-link-next:hover {
    background-image: url('../res/next-hover.png');
}

div.tableau-link-prev {
    background-image: url('../res/prev.png');
}

div.tableau-link-prev:hover {
    background-image: url('../res/prev-hover.png');
}

div.tabA, div.tabA1, div.tabAwD, div.tabB, div.tabBwD, div.tabC, div.tabD {
    top: 0px;
    height: 100%;
    width: 385px;
}

div.tabC {
    float: right;
}

div.linkABTop {
    margin-top: 2.0em;
    margin-left: 380px;
    width: 2.0em;
    height: 4.65em;
    border-right: 0.25em solid rgb(84,158,0);
    border-top: 0.25em solid rgb(84,158,0);
    position: absolute;
}

div.linkABBot {
    margin-top: -1.3em;
    margin-left: 380px;
    width: 2.0em;
    height: 3.55em;
    border-right: 0.25em solid rgb(84,158,0);
    border-bottom: 0.25em solid rgb(84,158,0);
    position: absolute;
}

div.linkADTop {
    margin-top: 2.0em;
    margin-left: -2.25em;
    width: 2.0emx;
    height: 4.65em;
    border-left: 0.25em solid red;
    border-top: 0.25em solid red;
    position: absolute;
}

div.linkADBot {
    margin-top: -1.3em;
    margin-left: -2.25em;
    width: 2.0em;
    height: 3.55em;
    border-left: 0.25em solid red;
    border-bottom: 0.25em solid red;
    position: absolute;
}

div.linkBCTop {
    margin-top: 2.0em;
    margin-left: 380px;
    width: 2.0em;
    height: 11.55em;
    border-right: 0.25em solid rgb(84,158,0);
    border-top: 0.25em solid rgb(84,158,0);
    position: absolute;
}

div.linkBCBot {
    margin-top: -8.2em;
    margin-left: 380px;
    width: 2.0em;
    height: 10.45em;
    border-right: 0.25em solid rgb(84,158,0);
    border-bottom: 0.25em solid rgb(84,158,0);
    position: absolute;
}

div.matchSize, div.match {
    height: 5.9em;
    margin-bottom: 1.0em;
}

div.matchGroupOdd {
    margin: 0.0em -0.5em 0.0em -0.5em;
    padding: 0.5em 0.5em 0.2em 0.5em;
/*    background-color: rgb(55,107,0);	*/
    background-color: #ffffff;
}

div.matchGroupEven {
    margin: 0.0em -0.5em 0.0em -0.5em;
    padding: 2.5em 0.5em 2.5em 0.5em;
}

div.match {
    height: 5.9em;
/*    background-color: rgb(38,74,0);	*/
    background-color: #b4b4b4;
    color: #000;
    padding: 0.3em;
    position: relative;
    border: 1px solid #000;
}

div.matchgen {
    position: absolute;
    right: 5px;
    height: 70px;
    width: 60px;
    line-height: 2.2em;
    text-align:center;
    white-space: nowrap;
    overflow: hidden;
}

/* .result {
    width: 35px;
    height: 70px;
    vertical-align: middle;
    overflow: hidden;
    position: absolute;
    right: 67px;
} */

div.opponents {
    position: absolute;
    top: 0.3em;
    right: 4em;
    left: 0.3em;
    bottom: 0.3em;
}

div.opponent {
    height: 2.2em;
    overflow: hidden;
    vertical-align: middle;
    width: 100%;
    position: relative;
/*    border-bottom: 1px solid rgb(84,158,0);	*/
}

div.opponent:first-of-type {
    border-bottom: 1px solid #000;
}

.matchdataTabIndex {
    position: absolute;
    left: 0px;
    top: 0.1em;
    height: 1em;
    width: 3em;
    vertical-align: middle;
    text-align: center;
    line-height: 1em;
    padding-right: 5px;
    padding-left: 5px;
    overflow: hidden;
}


.matchdataDEIndex {
    position: absolute;
    left: 0em;
    top: 1.1em;
    height: 1em;
    width: 3em;
    vertical-align: middle;
    text-align: center;
    line-height: 1em;
    padding-right: 0.3em;
    padding-left: 0.3em;
    overflow: hidden;
}

.matchdataFlag {
    position: absolute;
    top: 0.25em;
    left: 3em;
    height: 2.2em;
    width: 3em;
    display: block;
    line-height: 2.2em;
    overflow: hidden;
}

.matchdataName {
    position: absolute;
    left: 6em;
    right: 3em;
    top: 0.2em;
    height: 1em;
    vertical-align: middle;
    line-height: 1em;
    padding-right: 0.3em;
    padding-left: 0.3em;
    overflow: hidden;
    white-space: nowrap;
}

.matchdataClub {
    position: absolute;
    left: 9em;
    right: 4.5em;
    top: 1.9em;
    height: 1em;
    vertical-align: middle;
    line-height: 1em;
    padding-right: 0.45em;
    padding-left: 0.45em;
    overflow: hidden;
    white-space: nowrap;
    font-size: 67%;
    text-align: left;
}

.match .matchInfo {
    position: absolute;
    top: 4.7em;
    right: 0em;
    left: 0em;
    bottom: 0.3em;
    border: none;
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
}

.res {
    position: absolute;
    top: 0px;
    right: 0.3em;
    width: 2.0em;
    height: 2.2em;
    vertical-align: middle;
    line-height: 2.2em;
    text-align: center;
}








/* =Media Queries
-------------------------------------------------------------- */
 
@media screen and (min-width : 1042px) {
    #primary{
        margin-left: 240px;
        max-width: 1270px;
        min-width: 500px;
    }
 
    #secondary{
        float: left;
/*        position: fixed;	*/
        width: 220px;
        max-width: 220px;
        min-width: 220px;
    }

    div.sidebarSubElem {
        padding-left: 15%;
    }
    
    .compBox {
        max-width: 50%;
        min-width: 400px;
    }

    div.matchSize, div.match {
        width: 385px;
    }

    div.tabC {
        float: right;
    }
    div.tabA, div.tabA1, div.tabAwD, div.tabB, div.tabBwD, div.tabD {
        float: left;
        margin-right: -385px;
    }

    div.tabAwD, div.tabBwD {
        margin-left: 24%;
    }

    div.tabB {
        margin-left: 32%;
    }

    div.tabA2 {
        float: left;
        margin-left: 405px;
    }

    div.clear:after {
        content: "";
        display: table;
        clear: both;
    }

    img.logoImage {
        max-width:100%;
        max-height:100%;
    }

    div.mobileOnly {
        display: none;
        visibility: hidden;
    }

    div.matchGroupOdd {
        background-color: rgb(0, 0, 0, 0);
        padding: 0px;
        margin: 0px;
    }

    div.matchGroupEven {
        background-color: rgb(0, 0, 0, 0);
        padding: 0px;
        margin: 0px;
    }


}

@media screen and (max-width : 1042px) {
    div.tabA, div.tabA1, div.tabAwD, div.match {
        left: 0px;
        width: 100%;
    }

    div.sidebarElem {
        clear: both;
    }

    div.sidebarSubElem {
        float: left;
    }

    div.match {
        display: inline-block;
        margin-top: 3px;
        margin-bottom: 3px;
    }

    div.tabB, div.tabA2, div.tabBwD, div.tabD, div.linkABTop, div.linkABBot, div.linkADTop, div.linkADBot, div.matchSize, div.tabC, div.linkBCTop, div.linkBCBot {
        display: none;
        visibility: hidden;
    }

    div.title-matchGroup:empty {
        display: none;
        visibility: hidden;
    }

    img.logoImage {
        max-width:100%;
        max-height:50px;
    }

    div.pcOnly {
        display: none;
        visibility: hidden;
    }

    .matchdataTabIndex {
        position: absolute;
        left: 0px;
        top: 2px;
        height: 1em;
        width: 3em;
        vertical-align: middle;
        text-align: center;
        line-height: 1em;
        padding-right: 5px;
        padding-left: 5px;
        overflow: hidden;
    }


    .matchdataDEIndex {
        position: absolute;
        left: 0px;
        top: 18px;
        height: 1em;
        width: 3em;
        vertical-align: middle;
        text-align: center;
        line-height: 1em;
        padding-right: 5px;
        padding-left: 5px;
        overflow: hidden;
    }

    .matchdataFlag {
        position: absolute;
        top: 0.25em;
        left: 3em;
        height: 2.2em;
        width: 3em;
        display: block;
        line-height: 2.2em;
        overflow: hidden;
    }

    .matchdataName {
        position: absolute;
        left: 6em;
        right: 40%;
        top: 0px;
        height: 2.2em;
        vertical-align: middle;
        line-height: 2.2em;
        padding-right: 5px;
        padding-left: 5px;
        overflow: hidden;
        white-space: nowrap;
    }

    .matchdataClub {
        position: absolute;
        left: 60%;
        right: 3em;
        top: 0px;
        height: 2.2em;
        vertical-align: middle;
        line-height: 2.2em;
        padding-right: 5px;
        padding-left: 5px;
        overflow: hidden;
        white-space: nowrap;
        font-size: 100%;
        text-align: left;
    }

}

